using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using ITC81DB_2H.Forms;
using ITC81DB_2H.Datastore;

namespace ITC81DB_2H.DialogForms
{
    public partial class DialogFormMessage : Form
    {
        #region Field
        private FormMain m_ParentForm;
        #endregion

        #region Constructor
        public DialogFormMessage()
        {
            InitializeComponent();
        }
        public DialogFormMessage(int code)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (code)
            {
                case 1:
                    this.labelErrorCode.Text = "Error 00";
                    this.labelMessage1.Text = "오류 발생! 재부팅 해 주십시오";
                    this.labelMessage2.Text = "Warning! Please restart this equipment";
                    this.buttonOK.Visible = false;
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(string str, Define.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == Define.E_LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                this.labelErrorCode.Text = "Notice";
                this.labelMessage1.Text = str + "개의 파일이 백업되었습니다.";
                this.labelMessage2.Text = "";
            }
            else if (language == Define.E_LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                this.labelErrorCode.Text = "Notice";
                this.labelMessage1.Text = str + " files have been backed up";
                this.labelMessage2.Text = "";
            }
            else if (language == Define.E_LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                this.labelErrorCode.Text = "通知";
                this.labelMessage1.Text = str + "个文件已备份";
                this.labelMessage2.Text = "";
            }
            else if (language == Define.E_LanguageID.Czech)
            {

            }
            else if (language == Define.E_LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                this.labelErrorCode.Text = "Уведомления";
                this.labelMessage1.Text = str + " Файлы были заархивированы";
                this.labelMessage2.Text = "";
            }
            else if (language == Define.E_LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                this.labelErrorCode.Text = "Meldung";
                this.labelMessage1.Text = str + " dateien wurden gesichert";
                this.labelMessage2.Text = "";
            }
            else if (language == Define.E_LanguageID.Spanish)
            {

            }
            else
            {

            }
        }
        public DialogFormMessage(int code, Define.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == Define.E_LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                #region 한글
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Error 01_01";
                        this.labelMessage1.Text = "입력범위를 확인하세요.";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Error 01_02";
                        this.labelMessage1.Text = "최신 프로그램입니다.";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Error 01_03";
                        this.labelMessage1.Text = "연속으로 불량이 발생했습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Error 01_04";
                        this.labelMessage1.Text = "백업할 파일이 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Error 01_05";
                        this.labelMessage1.Text = "USB메모리가 장착되지 않았습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Error 01_06";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Error 01_07";
                        this.labelMessage1.Text = "USB에 업데이트 할 파일이 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Error 01_08";
                        this.labelMessage1.Text = "업데이트 할 실행파일 개수가 많습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Error 01_09";
                        this.labelMessage1.Text = "USB에 업데이트 폴더가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Error 01_10";
                        this.labelMessage1.Text = "해당 메모리가 장착되지 않았습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Error 01_11";
                        this.labelMessage1.Text = "이미지 폴더가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Error 01_12";
                        this.labelMessage1.Text = "적체박스를 비워 주세요.";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "백업 완료";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "백업 실패 !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Error 01_15";
                        this.labelMessage1.Text = "가져올 파일이 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Error 01_16";
                        this.labelMessage1.Text = "에러 발생! 다시 시도해주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Error 01_17";
                        this.labelMessage1.Text = "초기화를 실행해 주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "전원을 끄고 다시 켜주세요";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Error 01_19";
                        this.labelMessage1.Text = "통신 포트 연결 에러.";
                        this.labelMessage1.Text = "제조사에 문의하세요.";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Error 01_20";
                        this.labelMessage1.Text = "MASCA 통신 전송이 실패했습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Error 01_21";
                        this.labelMessage1.Text = "서보 오프 후에 다시 시도해주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Error 01_22";
                        this.labelMessage1.Text = "메인보드 통신 상태 확인해주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Error 01_23";
                        this.labelMessage1.Text = "장비 정지 : 카운터출력";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Error 01_24";
                        this.labelMessage1.Text = "MACSA 통신전송이 실패하였습니다.";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Error 01_25";
                        this.labelMessage1.Text = "바코드 연결상태를 확인하세요.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC 동작 모드 : Server";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Error 01_27";
                        this.labelMessage1.Text = "996~1000번 : 랜덤모드 기능 할당";
                        this.labelMessage2.Text = "설정위치 : [메뉴]-[기본]-[품목설정]-[랜덤모드]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Error 01_31";
                        this.labelMessage1.Text = "유저 파일 에러";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Error 01_32";
                        this.labelMessage1.Text = "ID 확인하세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Error 01_33";
                        this.labelMessage1.Text = "Password 확인하세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Error 01_34";
                        this.labelMessage1.Text = "동일한 ID가 있습니다!";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Error 01_35";
                        this.labelMessage1.Text = "4~10자 입력 하세요!";
                        this.labelMessage2.Text = "";
                        break;
                    case 36:
                        this.labelErrorCode.Text = "Error 01_36";
                        this.labelMessage1.Text = "비밀번호를 변경해 주십시오";
                        this.labelMessage2.Text = "";
                        break;
                    case 37:
                        this.PictureBoxVisible(false);

                        this.labelErrorCode.Text = "Error 01_37";
                        this.labelMessage1.Text = "데이터가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 01_99";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                #region 영문
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Error 01_01";
                        this.labelMessage1.Text = "Please check the input range";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Error 01_02";
                        this.labelMessage1.Text = "Application is the lastest";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Error 01_03";
                        this.labelMessage1.Text = "Detect Continuous N.G !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Error 01_04";
                        this.labelMessage1.Text = "There are no Backup files";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Error 01_05";
                        this.labelMessage1.Text = "There is no USB MEMORY";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Error 01_06";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Error 01_07";
                        this.labelMessage1.Text = "There are no update files in USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Error 01_08";
                        this.labelMessage1.Text = "Too much file for update";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Error 01_09";
                        this.labelMessage1.Text = "There is no folder has update files in USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Error 01_10";
                        this.labelMessage1.Text = "There is no MEMORY";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Error 01_11";
                        this.labelMessage1.Text = "There is no folder has Image in USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Error 01_12";
                        this.labelMessage1.Text = "Please load the box blank";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "System backup";
                        this.labelMessage1.Text = "Backup Complete";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "System backup";
                        this.labelMessage1.Text = "Backup Fail !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Error 01_15";
                        this.labelMessage1.Text = "There are no files to be imported";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Error 01_16";
                        this.labelMessage1.Text = "Error 01_occured! Try again";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Error 01_17";
                        this.labelMessage1.Text = "Please proceed with initialization";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Please restart this equipment";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Error 01_19";
                        this.labelMessage1.Text = "COM2 port problem.";
                        this.labelMessage1.Text = "Please contact a manufacturer.";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Error 01_20";
                        this.labelMessage1.Text = "Transmission failed to MASCA";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Error 01_21";
                        this.labelMessage1.Text = "After th servo-off,";
                        this.labelMessage2.Text = "please try again.";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Error 01_22";
                        this.labelMessage1.Text = "Please check the communication status ";
                        this.labelMessage2.Text = "with the main board.";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Error 01_23";
                        this.labelMessage1.Text = "Equipment Stop : Counting output";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Error 01_24";
                        this.labelMessage1.Text = "MACSA communication transmission failed";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Error 01_25";
                        this.labelMessage1.Text = "Check the barcode scanner connection.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC Operation Mode : Server";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Error 01_27";
                        this.labelMessage1.Text = "No. 996~1000 : Assign Random Mode function";
                        this.labelMessage2.Text = "[Menu]-[Basic]-[Product setting]-[Random Mode]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Error 01_31";
                        this.labelMessage1.Text = "User files error";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Error 01_32";
                        this.labelMessage1.Text = "Check the ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Error 01_33";
                        this.labelMessage1.Text = "Check the password";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Error 01_34";
                        this.labelMessage1.Text = "The system already has the same ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Error 01_35";
                        this.labelMessage1.Text = "Please enter 4-10 characters";
                        this.labelMessage2.Text = "";
                        break;
                    case 36:
                        this.labelErrorCode.Text = "Error 01_36";
                        this.labelMessage1.Text = "Please change your password";
                        this.labelMessage2.Text = "";
                        break;
                    case 37:
                        this.PictureBoxVisible(false);

                        this.labelErrorCode.Text = "Error 01_37";
                        this.labelMessage1.Text = "No data";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 01_99";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                #region 중문
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "错误 01";
                        this.labelMessage1.Text = "确认输入范围";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "错误 02";
                        this.labelMessage1.Text = "最新应用";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "错误 03";
                        this.labelMessage1.Text = "测试连续不良";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "错误 04";
                        this.labelMessage1.Text = "无支持文件";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "错误 05";
                        this.labelMessage1.Text = "无USB存储卡";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "错误 06";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "错误 07";
                        this.labelMessage1.Text = "USB无更新文件";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "错误 08";
                        this.labelMessage1.Text = "太多文件需更新";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "错误 09";
                        this.labelMessage1.Text = "USB没有文件夹需要更新文件";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "错误 10";
                        this.labelMessage1.Text = "无存储";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "错误 11";
                        this.labelMessage1.Text = "没有图像文件夹";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "错误 12";
                        this.labelMessage1.Text = "请清理箱子";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "系统备份";
                        this.labelMessage1.Text = "复制完成";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "系统备份";
                        this.labelMessage1.Text = "复制失败 !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "错误 15";
                        this.labelMessage1.Text = "无文件导入";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "错误 16";
                        this.labelMessage1.Text = "错误发生，重试";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "错误 17";
                        this.labelMessage1.Text = "运行初始化";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "关掉电源，然后在打开电源";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "错误 19";
                        this.labelMessage1.Text = "通信点连接错误";
                        this.labelMessage1.Text = "请联系厂商";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "错误 20";
                        this.labelMessage1.Text = "传送到MASCA失败";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "错误 21";
                        this.labelMessage1.Text = "关闭伺服后请重试";
                        this.labelMessage2.Text = "";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "错误 22";
                        this.labelMessage1.Text = "请确认主要画面通信状态";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "错误 23";
                        this.labelMessage1.Text = "设备停止 : 计数输出";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "错误 24";
                        this.labelMessage1.Text = "传送到MASCA失败";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "错误 25";
                        this.labelMessage1.Text = "检查条形码连接";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC运转模式 : 服务器";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "错误 27";
                        this.labelMessage1.Text = "996~1000：随机模式功能分配";
                        this.labelMessage2.Text = "设定位置 : [菜单]-[基本]-[产品设置]-[随机模式]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "错误 31";
                        this.labelMessage1.Text = "用户文件错误";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "错误 32";
                        this.labelMessage1.Text = "请确认用户名";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "错误 33";
                        this.labelMessage1.Text = "请确认密码";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "错误 34";
                        this.labelMessage1.Text = "已有相同的用户名";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "错误 35";
                        this.labelMessage1.Text = "请输入4~10个字符!";
                        this.labelMessage2.Text = "";
                        break;
                    case 36:
                        this.labelErrorCode.Text = "Error 01_36";
                        this.labelMessage1.Text = "请更改您的密码";
                        this.labelMessage2.Text = "";
                        break;
                    case 37:
                        this.PictureBoxVisible(false);

                        this.labelErrorCode.Text = "Error 01_37";
                        this.labelMessage1.Text = "没有数据";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "错误 99";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Czech)
            {

            }
            else if (language == Define.E_LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                #region 러시아어
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Ошибка 01";
                        this.labelMessage1.Text = "Подтвердите введенное значение";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Ошибка 02";
                        this.labelMessage1.Text = "Программное обеспечение обновлено";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Ошибка 03";
                        this.labelMessage1.Text = "Обноружение постоянного брака";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Ошибка 04";
                        this.labelMessage1.Text = "Резервные файлы отсутствуют";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Ошибка 05";
                        this.labelMessage1.Text = "USB не подключен";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Ошибка 06";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Ошибка 07";
                        this.labelMessage1.Text = "Обновление файлов отсутствует на USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Ошибка 08";
                        this.labelMessage1.Text = "Слишком много файлов обновления";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Ошибка 09";
                        this.labelMessage1.Text = "В папке USB отсутствуют файлы обновления";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Ошибка 10";
                        this.labelMessage1.Text = "Память заполнена";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Ошибка 11";
                        this.labelMessage1.Text = "이미지 폴더가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Ошибка 12";
                        this.labelMessage1.Text = "Пожалуйста, уберите флажок";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "Резервное копирование завершено";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "Ошибка резервного копирования !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Ошибка 15";
                        this.labelMessage1.Text = "Нет файлов для импорта";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Ошибка 16";
                        this.labelMessage1.Text = "Произошла ошибка. Попробуйте еще раз";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Ошибка 17";
                        this.labelMessage1.Text = "Пожалуйста, запустите инициализацию";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Выключите питание и затем";
                        this.labelMessage2.Text = "включите питание";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Ошибка 19";
                        this.labelMessage1.Text = "Ошибка подключения к порту связи COM2";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Ошибка 20";
                        this.labelMessage1.Text = "Ошибка связи с MASCA";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Ошибка 21";
                        this.labelMessage1.Text = "Попробуйте еще раз после";
                        this.labelMessage2.Text = "выключения сервопривода";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Ошибка 22";
                        this.labelMessage1.Text = "Проблема с COM2 порт";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Ошибка 23";
                        this.labelMessage1.Text = "Остановка оборудования: выход счетчика";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Ошибка 24";
                        this.labelMessage1.Text = "Ошибка связи с MASCA";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Ошибка 25";
                        this.labelMessage1.Text = "Проверьте подключение сканера штрих-кода.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "Режим работы OPC: Сервер";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Ошибка 27";
                        this.labelMessage1.Text = "996 ~ 1000: назначение функции в";
                        this.labelMessage2.Text = "случайном режиме";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Ошибка 31";
                        this.labelMessage1.Text = "Ошибка пользовательских файлов";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Ошибка 32";
                        this.labelMessage1.Text = "Проверьте ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Ошибка 33";
                        this.labelMessage1.Text = "Проверьте пароль";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Ошибка 34";
                        this.labelMessage1.Text = "Система уже имеет такой ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Ошибка 35";
                        this.labelMessage1.Text = "Пожалуйста, введите 4-10 символов";
                        this.labelMessage2.Text = "";
                        break;
                    case 36:
                        this.labelErrorCode.Text = "Error 01_36";
                        this.labelMessage1.Text = "Пожалуйста, измените свой пароль";
                        this.labelMessage2.Text = "";
                        break;
                    case 37:
                        this.PictureBoxVisible(false);

                        this.labelErrorCode.Text = "Error 01_37";
                        this.labelMessage1.Text = "Нет данных";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Ошибка 99";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                #region 독일어
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Fehler 01";
                        this.labelMessage1.Text = "Den eingegebenen Wert bestätigen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Fehler 02";
                        this.labelMessage1.Text = "Software ist up-to-date.";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Fehler 03";
                        this.labelMessage1.Text = "Fehlendes Produkt dauerhaft detektieren.";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Fehler 04";
                        this.labelMessage1.Text = "Sicherungsdateien fehlen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Fehler 05";
                        this.labelMessage1.Text = "USB nicht angeschlossen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Fehler 06";
                        this.labelMessage1.Text = "Hersteller kontaktieren.";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Fehler 07";
                        this.labelMessage1.Text = "Auf USB fehlen Aktualisierungsdateien.";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Fehler 08";
                        this.labelMessage1.Text = "Zu viele ausführbare Dateien zum Aktualisieren.";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Fehler 09";
                        this.labelMessage1.Text = "Ordner mit den Aktualisierungsdateien";
                        this.labelMessage2.Text = "fehlt auf dem USB.";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Fehler 10";
                        this.labelMessage1.Text = "Speicher/ Datenspeicher fehlt.";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Fehler 11";
                        this.labelMessage1.Text = "Fehlende Image -Datei auf USB.";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Fehler 12";
                        this.labelMessage1.Text = "Kontrollkästchen bitte löschen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Systemsicherung";
                        this.labelMessage1.Text = "Sicherungsabruf abgeschlossen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Systemsicherung";
                        this.labelMessage1.Text = "Fehler beim Laden der Sicherung!!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Fehler 15";
                        this.labelMessage1.Text = "Importierbare Dateien fehlen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Fehler 16";
                        this.labelMessage1.Text = "Fehler! Bitte noch einmal versuchen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Fehler 17";
                        this.labelMessage1.Text = "Bitte starten.";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Mit dem Hauptschalter aus- und einschalten.";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Fehler 19";
                        this.labelMessage1.Text = "Fehler beim Verbindungsport des Kommunikationsports.";
                        this.labelMessage1.Text = "Hersteller kontaktieren.";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Fehler 20";
                        this.labelMessage1.Text = "Fehler bei der Kommunikation über MASCA.";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Fehler 21";
                        this.labelMessage1.Text = "Bitte versuchen Sie es erneut";
                        this.labelMessage2.Text = "nach dem Servo-off.";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Fehler 22";
                        this.labelMessage1.Text = "Kommunikation mit der Hauptplatine überprüfen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Fehler 23";
                        this.labelMessage1.Text = "Ausrüstung stoppt : Zählen der Ausgabe";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Fehler 24";
                        this.labelMessage1.Text = "MACSA-Kommunikationsübertragung";
                        this.labelMessage2.Text = "fehlgeschlagen";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Fehler 25";
                        this.labelMessage1.Text = "Überprüfen Sie die Barcode-Scanner-Verbindung.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC Betriebsmodus : Server";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Fehler 27";
                        this.labelMessage1.Text = "Nr. 996~1000 : Zuweisen der Zufallsmodusfunktion";
                        this.labelMessage2.Text = "[Menü]-[Basic]-[Produkteinstellung]-[Zufallsmodus]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Fehler 31";
                        this.labelMessage1.Text = "Fehler der Benutzerdateien";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Fehler 32";
                        this.labelMessage1.Text = "Überprüfen Sie die ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Fehler 33";
                        this.labelMessage1.Text = "Überprüfen Sie das Passwort";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Fehler 34";
                        this.labelMessage1.Text = "Das System hat bereits die gleiche ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Fehler 35";
                        this.labelMessage1.Text = "Bitte geben Sie 4-10 Zeichen ein";
                        this.labelMessage2.Text = "";
                        break;
                    case 36:
                        this.labelErrorCode.Text = "Error 01_36";
                        this.labelMessage1.Text = "Bitte ändern Sie Ihr Passwort";
                        this.labelMessage2.Text = "";
                        break;
                    case 37:
                        this.PictureBoxVisible(false);

                        this.labelErrorCode.Text = "Error 01_37";
                        this.labelMessage1.Text = "Keine Daten";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Fehler 99";
                        this.labelMessage1.Text = "Hersteller kontaktieren";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Spanish)
            {
                this.buttonOK.Text = "DE ACUERDO";

                #region 스페인어
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Error 01_01";
                        this.labelMessage1.Text = "Confirmar rango de entrada";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Error 01_02";
                        this.labelMessage1.Text = "La aplicación es la una anterior";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Error 01_03";
                        this.labelMessage1.Text = "Detectar continuo n.g";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Error 01_04";
                        this.labelMessage1.Text = "No hay archivos de copia de seguridad";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Error 01_05";
                        this.labelMessage1.Text = "No hay memoria USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Error 01_06";
                        this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Error 01_07";
                        this.labelMessage1.Text = "No hay archivos de actualización en USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Error 01_08";
                        this.labelMessage1.Text = "Demasiado archivo para la actualización";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Error 01_09";
                        this.labelMessage1.Text = "No hay carpeta que haya actualizado archivos en USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Error 01_10";
                        this.labelMessage1.Text = "No hay memoria";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Error 01_11";
                        this.labelMessage1.Text = "-";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Error 01_12";
                        this.labelMessage1.Text = "Por favor cargue la caja en blanco";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Copia de seguridad del sistema";
                        this.labelMessage1.Text = "Copia de seguridad completa";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Copia de seguridad del sistema";
                        this.labelMessage1.Text = "Fallo de respaldo !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Error 01_15";
                        this.labelMessage1.Text = "No hay archivos para ser importados";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Error 01_16";
                        this.labelMessage1.Text = "¡Ocurrió un error! Intentar otra vez";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Error 01_17";
                        this.labelMessage1.Text = "Por favor ejecuta la inicialización";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Apague la alimentación y luego encienda la alimentación.";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Error 01_19";
                        this.labelMessage1.Text = "Falló la conexión del puerto de COM2.";
                        this.labelMessage2.Text = "Póngase en contacto con un fabricante";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Error 01_20";
                        this.labelMessage1.Text = "La transmisión no pudo a Masca";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Error 01_21";
                        this.labelMessage1.Text = "Después del servo-off, inténtalo de nuevo.";
                        this.labelMessage2.Text = "";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Error 01_22";
                        this.labelMessage1.Text = "Por favor, compruebe el estado de ";
                        this.labelMessage2.Text = "la comunicación con la placa principal.";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Error 01_23";
                        this.labelMessage1.Text = "Equipo de parada: salida de conteo";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Error 01_24";
                        this.labelMessage1.Text = "La transmisión no pudo a Masca";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Error 01_25";
                        this.labelMessage1.Text = "Compruebe la conexión del escáner de código de barras.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "Modo de operación OPC: servidor";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Error 01_27";
                        this.labelMessage1.Text = "No. 996 ~ 1000: Asignar la función de modo aleatorio";
                        this.labelMessage2.Text = "[MENÚ] - [BÁSICO] - [Configuración del producto] - [Modo aleatorio]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Error 01_31";
                        this.labelMessage1.Text = "Error 01_de archivos de usuario";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Error 01_32";
                        this.labelMessage1.Text = "Compruebe la identificación";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Error 01_33";
                        this.labelMessage1.Text = "Compruebe la contraseña";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Error 01_34";
                        this.labelMessage1.Text = "El sistema ya tiene la misma identificación.";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Error 01_35";
                        this.labelMessage1.Text = "Por favor ingrese 4-10 caracteres";
                        this.labelMessage2.Text = "";
                        break;
                    case 36:
                        this.labelErrorCode.Text = "Error 01_36";
                        this.labelMessage1.Text = "Por favor cambie su contraseña";
                        this.labelMessage2.Text = "";
                        break;
                    case 37:
                        this.PictureBoxVisible(false);

                        this.labelErrorCode.Text = "Error 01_37";
                        this.labelMessage1.Text = "Sin datos";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 01_99";
                        this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else
            {

            }
        }
        public DialogFormMessage(int code, Define.E_LanguageID language, FormMain parent)
        {
            InitializeComponent();

            this.ParentForm = parent;

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == Define.E_LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                #region 한글
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "장비 정지 : 카운터출력";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                #region 영문
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "Equipment Stop : Counting Output";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                #region 중문
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "错误 23";
                        this.labelMessage1.Text = "设备停止 : 计数输出";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "错误 99";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Czech)
            {

            }
            else if (language == Define.E_LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                #region 러시아어
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Ошибка 23";
                        this.labelMessage1.Text = "Остановка оборудования: выход счетчика";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Ошибка 99";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                #region 독일어
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Fehler 23";
                        this.labelMessage1.Text = "Ausrüstung stoppt : Zählen der Ausgabe";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Fehler 99";
                        this.labelMessage1.Text = "Hersteller kontaktieren";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Spanish)
            {

            }
            else
            {

            }
        }
        public DialogFormMessage(int code, Define.E_LanguageID language, string message)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case Define.E_LanguageID.Korean:
                    #region Korean
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "OK";
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "입력범위를 확인하세요.";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    } 
                    #endregion
                    break;
                case Define.E_LanguageID.English:
                    #region English
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "OK";
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "Confirm input range";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    } 
                    #endregion
                    break;
                case Define.E_LanguageID.Chinese:
                    #region Chinese
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "确认";
                            this.labelErrorCode.Text = "错误 01";
                            this.labelMessage1.Text = "确认输入范围";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.Czech:
                    break;
                case Define.E_LanguageID.Russian:
                    #region Russian
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "OK";
                            this.labelErrorCode.Text = "Ошибка 01";
                            this.labelMessage1.Text = "Подтвердите введенное значение";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.German:
                    #region German
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "Bestätigen";
                            this.labelErrorCode.Text = "Fehler 01";
                            this.labelMessage1.Text = "Den eingegebenen Wert bestätigen";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.Spanish:
                    break;
                default:
                    break;
            }

        }
        public DialogFormMessage(object dll, int code, Define.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case Define.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 04_01";
                            this.labelMessage1.Text = "ID를 찾을 수 없습니다";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Error 04_02";
                            this.labelMessage1.Text = "ID : 동일한 ID가 있습니다";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Error 04_03";
                            this.labelMessage1.Text = "ID : 6~20자 입력하세요";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Error 04_04";
                            this.labelMessage1.Text = "ID : 6~20자 입력하세요";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Error 04_05";
                            this.labelMessage1.Text = "ID : 연속된 문자(123,321,abc,cba...)또는";
                            this.labelMessage2.Text = "동일한 문자(111,222,aaa...) 사용 할 수 없습니다";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Error 04_06";
                            this.labelMessage1.Text = "ID : 사용할 수 없는 문자가 포함되어 있습니다";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Error 04_07";
                            this.labelMessage1.Text = "ID : 사용자 계정이 만료 되었습니다";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Error 04_08";
                            this.labelMessage1.Text = "PASSWORD : 이전 패스워드 입니다";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Error 04_09";
                            this.labelMessage1.Text = "PASSWORD : 6~20자 입력하세요";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Error 04_10";
                            this.labelMessage1.Text = "PASSWORD : 6~20자 입력하세요";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Error 04_11";
                            this.labelMessage1.Text = "PASSWORD : 연속된 문자(123,321,abc,cba...)또는";
                            this.labelMessage2.Text = "동일한 문자(111,222,aaa...) 사용 할 수 없습니다";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Error 04_12";
                            this.labelMessage1.Text = "PASSWORD : 사용할 수 없는 문자가 포함되어 있습니다";
                            this.labelMessage2.Text = "사용 가능 특수문자 : !@#$%^&*+-.";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Error 04_13";
                            this.labelMessage1.Text = "PASSWORD : 영문1이상, 숫자1이상, 특수문자1이상";
                            this.labelMessage2.Text = "포함하여 주십시오";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = "비밀번호를 확인하세요";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "Error 04_15";
                            this.labelMessage1.Text = "PASSWORD : 비밀번호가 만료 되었습니다";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "Error 04_16";
                            this.labelMessage1.Text = "접근 권한을 설정해 주십시오";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Error 04_17";
                            this.labelMessage1.Text = "비밀번호가 동일하지 않습니다";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Error 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        case 19:
                            this.labelErrorCode.Text = "Error 04_19";
                            this.labelMessage1.Text = "계정이 잠금처리 되었습니다.";
                            this.labelMessage2.Text = "관리자에게 문의하세요.";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 04_01";
                            this.labelMessage1.Text = "ID not found";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Error 04_02";
                            this.labelMessage1.Text = "ID : ID already exists";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Error 04_03";
                            this.labelMessage1.Text = "ID : Please enter 6~20 characters";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Error 04_04";
                            this.labelMessage1.Text = "ID : Please enter 6~20 characters";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Error 04_05";
                            this.labelMessage1.Text = "ID : Consecutive(123,321,abc,cba...) or";
                            this.labelMessage2.Text = "identical(111,222,aaa...) characters cannot be used.";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Error 04_06";
                            this.labelMessage1.Text = "ID : Contains invalid characters";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Error 04_07";
                            this.labelMessage1.Text = "ID : User account has expired";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Error 04_08";
                            this.labelMessage1.Text = "PASSWORD : This is the old password";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Error 04_09";
                            this.labelMessage1.Text = "PASSWORD : Please enter 6~20 characters";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Error 04_10";
                            this.labelMessage1.Text = "PASSWORD : Please enter 6~20 characters";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Error 04_11";
                            this.labelMessage1.Text = "PASSWORD : Consecutive(123,321,abc,cba...) or";
                            this.labelMessage2.Text = "identical(111,222,aaa...) characters cannot be used.";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Error 04_12";
                            this.labelMessage1.Text = "PASSWORD : Contains invalid characters";
                            this.labelMessage2.Text = "Special characters allowed : !@#$%^&*+-.";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Error 04_13";
                            this.labelMessage1.Text = "PASSWORD : Please include at least one English letter,";
                            this.labelMessage2.Text = "at least one number, and at least one special character";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = "Check your password";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "Error 04_15";
                            this.labelMessage1.Text = "PASSWORD : Password has expired";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "Error 04_16";
                            this.labelMessage1.Text = "Please set the access right";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Error 04_17";
                            this.labelMessage1.Text = "Passwords are not the same";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Error 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        case 19:
                            this.labelErrorCode.Text = "Error 04_19";
                            this.labelMessage1.Text = "Your account has been locked.";
                            this.labelMessage2.Text = "Please contact your administrator.";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(object dll, int code, int num1, int num2, Define.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case Define.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = string.Format("비밀번호 {0}회 오류입니다", num1);
                            this.labelMessage2.Text = string.Format("{0}회 오류 시, 계정이 잠금처리됩니다.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = string.Format("Password error {0} times.", num1);
                            this.labelMessage2.Text = string.Format("If there are {0} errors, your account will be locked.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.Chinese:
                    #region 중문
                    this.buttonOK.Text = "确认";

                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "错误 04_14";
                            this.labelMessage1.Text = string.Format("密码错误{0}次。", num1);
                            this.labelMessage2.Text = string.Format("如果出现 {0} 个错误，您的帐户将被锁定。", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "错误 04_99";
                            this.labelMessage1.Text = "请联系制造商";
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.Czech:
                    break;
                case Define.E_LanguageID.Russian:
                    #region 러시아어
                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Ошибка 04_14";
                            this.labelMessage1.Text = string.Format("Ошибка пароля {0} раза. Если возникнут ошибки {1}, ", num1, num2);
                            this.labelMessage2.Text = string.Format("ваша учетная запись будет заблокирована.");
                            break;
                        default:
                            this.labelErrorCode.Text = "Ошибка 04_99";
                            this.labelMessage1.Text = "Пожалуйста, свяжитесь с производителем";
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.German:
                    #region 독일어
                    this.buttonOK.Text = "Bestätigen";

                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Fehler 04_14";
                            this.labelMessage1.Text = string.Format("Passwortfehler {0} Mal.", num1);
                            this.labelMessage2.Text = string.Format("Bei {0} Fehlern wird Ihr Konto gesperrt.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Fehler 04_99";
                            this.labelMessage1.Text = "Bitte wenden Sie sich an einen Hersteller";
                            break;
                    }
                    #endregion
                    break;
                case Define.E_LanguageID.Spanish:
                    #region 스페인어
                    this.buttonOK.Text = "DE ACUERDO";

                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = string.Format("Error de contraseña {0} veces.", num1);
                            this.labelMessage2.Text = string.Format("Si hay {0} errores, su cuenta se bloqueará.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(Define.E_MessageBoxIcon icon, string code, string message1, string message2, int autoClose_sec)
        {
            InitializeComponent();

            this.timerAutoClose.Enabled = false;

            switch (icon)
            {
                case Define.E_MessageBoxIcon.None:
                    this.pictureBoxAsterisk.Visible = false;
                    this.pictureBoxExclamation.Visible = false;
                    this.pictureBoxHand.Visible = false;
                    this.pictureBoxQuestion.Visible = false;
                    break;
                case Define.E_MessageBoxIcon.Hand:
                    this.pictureBoxAsterisk.Visible = false;
                    this.pictureBoxExclamation.Visible = false;
                    this.pictureBoxHand.Visible = true;
                    this.pictureBoxQuestion.Visible = false;
                    break;
                case Define.E_MessageBoxIcon.Question:
                    this.pictureBoxAsterisk.Visible = false;
                    this.pictureBoxExclamation.Visible = false;
                    this.pictureBoxHand.Visible = false;
                    this.pictureBoxQuestion.Visible = true;
                    break;
                case Define.E_MessageBoxIcon.Exclamation:
                    this.pictureBoxAsterisk.Visible = false;
                    this.pictureBoxExclamation.Visible = true;
                    this.pictureBoxHand.Visible = false;
                    this.pictureBoxQuestion.Visible = false;
                    break;
                case Define.E_MessageBoxIcon.Asterisk:
                    this.pictureBoxAsterisk.Visible = true;
                    this.pictureBoxExclamation.Visible = false;
                    this.pictureBoxHand.Visible = false;
                    this.pictureBoxQuestion.Visible = false;
                    break;
                default:
                    break;
            }

            this.labelErrorCode.Text = code;
            this.labelMessage1.Text = message1;
            this.labelMessage2.Text = message2;

            if (autoClose_sec != 0)
            {
                this.timerAutoClose.Interval = autoClose_sec * 900;
                this.timerAutoClose.Enabled = true;
            }
        }
        public DialogFormMessage(int code, int productNo, string underRange, string overRange, Define.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == Define.E_LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                #region 한글
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                #region 영문
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                #region 중문
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "错误 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "错误 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "错误 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "错误 99";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Czech)
            {

            }
            else if (language == Define.E_LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                #region 러시아어
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Ошибка 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Ошибка 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Ошибка 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Ошибка 99";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                #region 독일어
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Fehler 28";
                            this.labelMessage1.Text = "Nr." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Fehler 28";
                            this.labelMessage1.Text = "Nr." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Fehler 28";
                            this.labelMessage1.Text = "Nr." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Fehler 99";
                        this.labelMessage1.Text = "Hersteller kontaktieren";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.Spanish)
            {

            }
            else
            {

            }
        }
        #endregion

        #region Property
        public FormMain ParentForm
        {
            get { return this.m_ParentForm; }
            set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        private void InitializeControl()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);
        }

        private void PictureBoxVisible(bool bValue)
        {
            this.pictureBoxAsterisk.Visible = bValue;
            this.pictureBoxExclamation.Visible = bValue;
            this.pictureBoxHand.Visible = bValue;
            this.pictureBoxQuestion.Visible = bValue;
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeControl();
        }
        #endregion

        #region Event Handler
        private void buttonOK_Click(object sender, EventArgs e)
        {
            if (this.ParentForm != null)
            {
                if (this.ParentForm.smartThread.State == SmartX.SmartThread.ThreadState.Running)
                    this.ParentForm.smartThread.End();
            }

            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void timerAutoClose_Tick(object sender, EventArgs e)
        {
            this.timerAutoClose.Enabled = false;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
        #endregion
    }
}